forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeff Turner <je...@apache.org>
Subject Re: Forrest CVS and Cocoon 2.1-M1/Xalan 2.5.0
Date Sun, 18 May 2003 07:18:01 GMT
On Sat, May 17, 2003 at 10:22:04PM +0200, Luca Morandini wrote:
...
> I beg to differ, when I substitute Xalan 2.5.0 with Xalan 2.4.1, the 
> Cocoon 2.1M1 samples page utters:
> <<java.lang.IllegalAccessError: class 
> org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2$AncestorIterator cannot access 
> its superclass 
> org.apache.xml.dtm.ref.DTMDefaultBaseIterators$InternalAxisIteratorBase>>
> 	
> Hence, it seems Cocoon 2.1M1 and Forrest are incompatible when it comes 
> to Xalan, am I wrong ?

You're right, I got the same error.  I've gotten Forrest working with CVS
Cocoon locally, but I'd like to wait for M2 (fairly imminent it seems)
before doing the actual upgrade.  If you follow the docs in
etc/cocoon_upgrade/README.txt you can test the update.

--Jeff

> Regards,
> 
> ------------------------------------------
>                Luca Morandini
>                GIS Consultant
>               lmorandini@ieee.org
> http://space.virgilio.it/kumora/index.html
> ------------------------------------------

Mime
View raw message